﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.SilverlightEdition;
using System.Drawing;
using System.Globalization;

namespace Samples6683.Web
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                GoogleMapsLayer googleRoadLayer = new GoogleMapsLayer();
                googleRoadLayer.MapType = GoogleMapsMapType.RoadMap;
                ServerLayerOverlay layerWithGoogelRoadMapOverlay = new ServerLayerOverlay("NativeServerWithGoogleRoadMap");
                layerWithGoogelRoadMapOverlay.Layers.Add(googleRoadLayer);
                SilverlightMapConnector1.ServerLayerOverlays.Add(layerWithGoogelRoadMapOverlay);

                // Please set your own information about those parameters below.
                string accountId = "accountId";
                string password = "password";
                string clientIpAddress = "66.249.71.109";
                string cacheDirectory = @"c:\temp\";
                VirtualEarthLayer worldLayer = new VirtualEarthLayer(accountId, password, clientIpAddress, cacheDirectory);
                ServerLayerOverlay layerWithVirtualEarthOverlay = new ServerLayerOverlay("NativeServerWithVirtualEarthMap");
                SilverlightMapConnector1.ServerLayerOverlays.Add(layerWithVirtualEarthOverlay);

                // Please set your own information about those parameters below.
                string connectString = "Data Source=192.168.0.58,1041;Initial Catalog=DatabaseName;Persist Security Info=True;User ID=username;Password=password";  
                MsSql2008FeatureLayer sql2008Layer = new MsSql2008FeatureLayer(connectString, "states", "recid");
                sql2008Layer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Country1;
                sql2008Layer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                ServerLayerOverlay layerWithMsSql2008FeatureOverlay = new ServerLayerOverlay("NativeServerWithMsSql");
                SilverlightMapConnector1.ServerLayerOverlays.Add(layerWithMsSql2008FeatureOverlay);

            }
        }
    }
}
